Class GroupsCreateBuilder

java.lang.Object
com.dropbox.core.v2.team.GroupsCreateBuilder

public class GroupsCreateBuilder extends Object
The request builder returned by DbxTeamTeamRequests.groupsCreateBuilder(java.lang.String).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withAddCreatorAsOwner

      public GroupsCreateBuilder withAddCreatorAsOwner(Boolean addCreatorAsOwner)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      addCreatorAsOwner - Automatically add the creator of the group. Defaults to false when set to null.
      Returns:
      this builder
    • withGroupExternalId

      public GroupsCreateBuilder withGroupExternalId(String groupExternalId)
      Set value for optional field.
      Parameters:
      groupExternalId - The creator of a team can associate an arbitrary external ID to the group.
      Returns:
      this builder
    • withGroupManagementType

      public GroupsCreateBuilder withGroupManagementType(GroupManagementType groupManagementType)
      Set value for optional field.
      Parameters:
      groupManagementType - Whether the team can be managed by selected users, or only by team admins.
      Returns:
      this builder
    • start

      Issues the request.
      Throws:
      GroupCreateErrorException
      DbxException